%define anolis_release 3
%global pypi_name netifaces

Name:           python-netifaces
Version:        0.11.0
Release: %{anolis_release}%{dist}
Summary:        Python library to retrieve information about network interfaces 
License:        MIT
URL:            https://pypi.python.org/pypi/netifaces
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  gcc


%description
This package provides a cross platform API for getting address information
from network interfaces.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python %{python3_pkgversion} library to retrieve information about network interfaces
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
This package provides a cross platform API for getting address information
from network interfaces.

%package -n     python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        doc files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
doc files for python%{python3_pkgversion}-%{pypi_name}

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}.dist-info/
%{python3_sitearch}/%{pypi_name}*.so

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.11.0-3
- Rebuild with python3.11

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.11.0-2
- optimise dependency
 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 0.11.0-1
- Init package from upstream v0.11.0
